Update Profile
Update the identifiers for a shopper's profile (first name or last name).
Authorization
OAuth bolt.account.manageX-API-Key Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.
For all APIs that require authorization, please provide your access_token returned from /v1/oauth/token via the basic auth bearer header Authorization: bearer ${TOKEN}.
Read more about the OAuth token endpoint.
In: header
Scope: bolt.account.manage
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
In: header
Header Parameters
The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The profile fields that can be updated for a shopper.
Response Body
application/json
curl -X PATCH "https://example.com/v1/account/profile" \ -H "Content-Type: application/json" \ -d '{}'{ "email": "alan.watts@example.com", "first_name": "Alan", "last_name": "Watts", "metadata": { "customer_id": 234 }, "name": "Alan Watts", "phone": "+12125550199"}